From 2a33f997abecfcfee740e1bfba25cfaecc5f364b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Fri, 12 Jul 2019 17:25:33 +0200
Subject: [PATCH] leveldb: update to 1.22.

---
 srcpkgs/leveldb/patches/fix-cmake.patch | 14 --------------
 srcpkgs/leveldb/template                |  6 +++---
 2 files changed, 3 insertions(+), 17 deletions(-)
 delete mode 100644 srcpkgs/leveldb/patches/fix-cmake.patch

diff --git a/srcpkgs/leveldb/patches/fix-cmake.patch b/srcpkgs/leveldb/patches/fix-cmake.patch
deleted file mode 100644
index 8045966a679..00000000000
--- a/srcpkgs/leveldb/patches/fix-cmake.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-diff --git CMakeLists.txt CMakeLists.txt
-index e471a2a..0837eee 100644
---- CMakeLists.txt
-+++ CMakeLists.txt
-@@ -95,6 +95,8 @@ if(BUILD_SHARED_LIBS)
- endif(BUILD_SHARED_LIBS)
- 
- add_library(leveldb "")
-+set_target_properties(leveldb PROPERTIES VERSION 1.21.0)
-+set_target_properties(leveldb PROPERTIES SOVERSION 1)
- target_sources(leveldb
-   PRIVATE
-     "${PROJECT_BINARY_DIR}/${LEVELDB_PORT_CONFIG_DIR}/port_config.h"
-
diff --git a/srcpkgs/leveldb/template b/srcpkgs/leveldb/template
index 0387a507c3f..9dc72ffad62 100644
--- a/srcpkgs/leveldb/template
+++ b/srcpkgs/leveldb/template
@@ -1,6 +1,6 @@
 # Template file for 'leveldb'
 pkgname=leveldb
-version=1.21
+version=1.22
 revision=1
 build_style=cmake
 configure_args="-DBUILD_SHARED_LIBS=ON -DLEVELDB_BUILD_TESTS=OFF
@@ -9,8 +9,8 @@ short_desc="Fast and lightweight key/value database library by Google"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="BSD-3-Clause"
 homepage="https://github.com/google/leveldb"
-distfiles="${homepage}/archive/${version}.tar.gz"
-checksum=e0fbd238047b9e82ec26a2b808f826b60e12b4fcb5d1a18c7b3d6edf357b4026
+distfiles="https://github.com/google/leveldb/archive/${version}.tar.gz"
+checksum=55423cac9e3306f4a9502c738a001e4a339d1a38ffbee7572d4a07d5d63949b2
 
 post_install() {
 	# license
